var after_load = (typeof(trigger.after_load) != 'undefined' && trigger.after_load == 2) ? true : false;

if (after_load) {
    jQuery(window).load(function() {
        pba_image_processor();
    })
} else {
    jQuery(document).ready(function() {
        pba_image_processor();
    })
}


function pba_image_processor() {
    
    var is_ie7 = (navigator.appVersion.indexOf("MSIE 7.") == -1) ? false : true; // check if browser is IE7		
	
    jQuery('.pin-featured').each(function() {
        var featured = jQuery(this).parent('a');
        if (featured.length > 0){
            jQuery(this).unwrap();
            var i = jQuery(this).next();
            var cl = i.next('span.pin-clear');
            i.remove();
            cl.remove();
            jQuery(this).append(cl);
            jQuery(this).find('span.pin-bundle-wrapper').prepend(i);
            jQuery(this).find('span.pin-image-wrapper img').wrap(featured);
        }
    })
	
    jQuery('.pin-image-wrapper a:first-child').attr('rel','pinme');
	
    jQuery('.pin-image-wrapper img:first-child').each(function() {								 
        var w = (after_load) ? jQuery(this).width() : jQuery(this).attr('width');
        if (w == 'undefined') w = jQuery(this).width();
        
        var h = (after_load) ? jQuery(this).height() : jQuery(this).attr('height');
        if (h == 'undefined') h = jQuery(this).height();
        
        var mt = jQuery(this).css('marginTop');
        var mb = jQuery(this).css('marginBottom');
        var mr = jQuery(this).css('marginRight');
        var ml = jQuery(this).css('marginLeft');
		
        var pt = jQuery(this).css('paddingTop');
        var pb = jQuery(this).css('paddingBottom');
        var pr = jQuery(this).css('paddingRight');
        var pl = jQuery(this).css('paddingLeft');
        var bgi = jQuery(this).css('background-image');
        var bgr = jQuery(this).css('background-repeat');
        var bgp = jQuery(this).css('background-position');
        var bgc = jQuery(this).css('background-color');
		
        var btw = jQuery(this).css('borderTop-width');
        var bbw = jQuery(this).css('borderBottom-width');
        var brw = jQuery(this).css('borderRight-width');
        var blw = jQuery(this).css('borderLeft-width');
		
        var btc = jQuery(this).css('borderTop-color');
        var bbc = jQuery(this).css('borderBottom-color');
        var brc = jQuery(this).css('borderRight-color');
        var blc = jQuery(this).css('borderLeft-color');
		
        var bts = jQuery(this).css('borderTop-style');
        var bbs = jQuery(this).css('borderBottom-style');
        var brs = jQuery(this).css('borderRight-style');
        var bls = jQuery(this).css('borderLeft-style');
		
        var fl = jQuery(this).css('float');
		
        var no_align = 	jQuery(this).hasClass('alignnone');								 
        jQuery(this).removeClass('alignright').removeClass('alignleft').removeClass('aligncenter').removeClass('alignnone');	
		
		
        if (!is_ie7) {
            // FIX IE 7 IMAGE ALIGNMENT
            if (mr == '0px' && ml == '0px' && !no_align) {
                mr = 'auto';
                ml = 'auto';
            }
        }
		
        jQuery(this).attr('style','margin:0px auto!important; padding:0px; background:none; border: none;');
        jQuery(this).closest('.pin-holder').css({
            'float': fl
        });
		
        var elem = jQuery(this).closest('.pin-wrapper');
	
        elem.css({
            'marginLeft': ml,
            'marginRight': mr, 
            'marginBottom': mb, 
            'marginTop': mt,
				   
            'paddingLeft': pl, 
            'paddingRight': pr, 
            'paddingBottom': pb, 
            'paddingTop': pt,
				   
            'borderLeft-width' : blw, 
            'borderRight-width' : brw, 
            'borderBottom-width' : bbw, 
            'borderTop-width' : btw,
				   
            'borderLeft-color' : blc, 
            'borderRight-color' : brc, 
            'borderBottom-color' : bbc, 
            'borderTop-color' : btc,
				   
            'borderLeft-style' : bls, 
            'borderRight-style' : brs, 
            'borderBottom-style' : bbs, 
            'borderTop-style' : bts, 
				   
            'backgroundImage': bgi, 
            'backgroundRepeat': bgr, 
            'backgroundPosition': bgp, 
            'backgroundColor': bgc,
				   
            'lineHeight' : '0px' 
        });
		
        elem.find('span.pin-bundle-wrapper').css({
            'paddingLeft': pl, 
            'paddingRight': pr, 
            'paddingBottom': pb, 
            'paddingTop': pt
        });
        elem.width(w);
        elem_mo = elem.children('.pin-mouseover');
        elem_mo.css({
            'marginLeft': pl, 
            'marginRight': pr, 
            'marginBottom': pb, 
            'marginTop': pt
        });
        elem_mo.width(w); 
        elem_mo.height(h); 
    })
}